API Reference
List Flag
List all flags optionally filtered by state. The flags are ordered by
updateTime.
GET
/
v1
/
flags
List Flag
curl --request GET \
--url https://flags.eu.confidence.dev/v1/flags \
--header 'Authorization: Bearer <token>'{
"flags": [
{
"displayName": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"description": "<string>",
"schema": {
"schema": [
{}
]
},
"variants": [
{
"name": "<string>",
"value": {},
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"labels": [
{}
],
"description": "<string>",
"imageUri": "<string>"
}
],
"rules": [
{
"segment": "<string>",
"assignmentSpec": {
"bucketCount": {},
"assignments": [
{
"assignmentId": "<string>",
"variant": {
"variant": "<string>"
},
"fallthrough": {},
"clientDefault": {},
"bucketRanges": [
{
"lower": {},
"upper": {}
}
]
}
]
},
"usageMetadata": {
"resolveCount": 123,
"applyCount": 123,
"lastResolveTime": {},
"lastApplyTime": {},
"assignmentUsageMetadata": [
{
"assignmentId": "<string>",
"resolveCount": 123,
"applyCount": 123,
"lastApplyTime": {},
"emptyTargetingKeyCount": 123
}
]
},
"enabled": true,
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"description": "<string>",
"targetingKeySelector": "<string>",
"environments": [
"<string>"
],
"labels": [
{}
],
"materializationSpec": {
"writeMaterialization": "<string>",
"readMaterialization": "<string>",
"mode": {
"materializationMustMatch": true,
"segmentTargetingCanBeIgnored": true
}
}
}
],
"clients": [
"<string>"
],
"archiveTime": {},
"labels": [
{}
],
"usageMetadata": {
"resolveCount": 123,
"lastResolveTime": {},
"lastApplyTime": {}
},
"owner": "<string>"
}
],
"nextPageToken": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://confidence-auth-testing.mintlify.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of flags to fetch.
Token used for pagination.
Filter to apply to the flags. This follows the lucene query string format
Sort each column of the flags table.
⌘I
List Flag
curl --request GET \
--url https://flags.eu.confidence.dev/v1/flags \
--header 'Authorization: Bearer <token>'{
"flags": [
{
"displayName": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"description": "<string>",
"schema": {
"schema": [
{}
]
},
"variants": [
{
"name": "<string>",
"value": {},
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"labels": [
{}
],
"description": "<string>",
"imageUri": "<string>"
}
],
"rules": [
{
"segment": "<string>",
"assignmentSpec": {
"bucketCount": {},
"assignments": [
{
"assignmentId": "<string>",
"variant": {
"variant": "<string>"
},
"fallthrough": {},
"clientDefault": {},
"bucketRanges": [
{
"lower": {},
"upper": {}
}
]
}
]
},
"usageMetadata": {
"resolveCount": 123,
"applyCount": 123,
"lastResolveTime": {},
"lastApplyTime": {},
"assignmentUsageMetadata": [
{
"assignmentId": "<string>",
"resolveCount": 123,
"applyCount": 123,
"lastApplyTime": {},
"emptyTargetingKeyCount": 123
}
]
},
"enabled": true,
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"description": "<string>",
"targetingKeySelector": "<string>",
"environments": [
"<string>"
],
"labels": [
{}
],
"materializationSpec": {
"writeMaterialization": "<string>",
"readMaterialization": "<string>",
"mode": {
"materializationMustMatch": true,
"segmentTargetingCanBeIgnored": true
}
}
}
],
"clients": [
"<string>"
],
"archiveTime": {},
"labels": [
{}
],
"usageMetadata": {
"resolveCount": 123,
"lastResolveTime": {},
"lastApplyTime": {}
},
"owner": "<string>"
}
],
"nextPageToken": "<string>"
}
